"use strict";
var path = require("path");
var commonOptions = require("./common/options");
var osenv = require("osenv");
var hostInfo = require("./common/host-info");
var knownOpts = {
    "frameworkPath": String,
    "copy-from": String,
    "copyFrom": String,
    "link-to": String,
    "linkTo": String,
    "release": Boolean,
    "emulator": Boolean,
    "symlink": Boolean,
    "forDevice": Boolean,
    "for-device": Boolean,
    "keyStorePath": String,
    "keyStorePassword": String,
    "keyStoreAlias": String,
    "keyStoreAliasPassword": String
}, shorthands = {};
_.extend(commonOptions.knownOpts, knownOpts);
_.extend(commonOptions.shorthands, shorthands);
var defaultProfileDir = "";
var nativeScriptCacheFolder = ".nativescript-cli";
if (hostInfo.isWindows()) {
    defaultProfileDir = path.join(process.env.LocalAppData, nativeScriptCacheFolder);
}
else {
    defaultProfileDir = path.join(osenv.home(), ".local/share", nativeScriptCacheFolder);
}
commonOptions.setProfileDir(defaultProfileDir);
var errors = $injector.resolve("errors");
_(errors.validateArgs("nativescript", commonOptions.knownOpts, commonOptions.shorthands)).each(function (val, key) {
    key = shorthands[key] || key;
    commonOptions[key] = val;
}).value();
exports.knownOpts = knownOpts;
module.exports = exports;
